function main(self)
	if self.State == 0 then
		self:SetImage("GAME_EXPLOS_ICE")
		self:SetAnimation("GAME_CYCLE50")
		self.countTime = GetTime() + 300
		self.State = 1
	else
		self:AnimationStep()
		if GetTime() >= self.countTime then
			self:Destroy()
		end
	end
end
